## Class AppThinker

- java.lang.Object
- - AppThinker

    public class AppThinker
    extends java.lang.Object

La classe principale du logiciel AppThinker.

Author:
  V.BOULANGER

### Constructor Summary

Constructors
Constructor and Description
`AppThinker()`

### Method Summary

All Methods Static Methods Concrete Methods
`static AppThinkerWindow` `getWindow()` Récupère la fenêtre de l'application
`static void` `main(java.lang.String[] args)` La méthode principale exécutée.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AppThinker

    public AppThinker()

### Method Detail

#### main

    public static void main(java.lang.String[] args)
                     throws java.lang.InterruptedException

La méthode principale exécutée.

Parameters:
  `args` - Les arguments de la méthode principale.
Throws:
  `java.lang.InterruptedException` - Interruption du thread lors de la pause du splashscreen.

#### getWindow

    public static AppThinkerWindow getWindow()

Récupère la fenêtre de l'application

Returns:
  La fenêtre de l'application.